## FoChar FoChar |

## Synopsis

                        FoChar;
                        FoCharClass;
    FoDatatype*         fo_char_new_with_value              (const gchar *value);
    const gchar*        fo_char_get_value                   (FoDatatype *fo_char);
    FoDatatype*         fo_char_get_char_space              (void);
    FoDatatype*         fo_char_get_char_zws                (void);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoChar

## Properties

      "value"                    gchar*                : Read / Write / Construct Only

## Description

## Details

### FoChar

    typedef struct _FoChar FoChar;

### FoCharClass

    typedef struct _FoCharClass FoCharClass;

### fo_char_new_with_value ()

    FoDatatype*         fo_char_new_with_value              (const gchar *value);

Creates a new FoChar set to `value`.

`value` : | String value of the new FoChar.
Returns : | The new FoChar.

### fo_char_get_value ()

    const gchar*        fo_char_get_value                   (FoDatatype *fo_char);

Get the value of `fo_char`.

`fo_char` : | FoChar.
Returns : | String value of `fo_char`.

### fo_char_get_char_space ()

    FoDatatype*         fo_char_get_char_space              (void);

Get an FoChar with the well-known value of ' '.

Returns : | The FoChar.

### fo_char_get_char_zws ()

    FoDatatype*         fo_char_get_char_zws                (void);

Get an FoChar with the well-known value of U+200B, ZERO WIDTH SPACE.

Returns : | The FoChar.

## Property Details

### The `"value"` property

      "value"                    gchar*                : Read / Write / Construct Only

FoChar value.

Default value: NULL